Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 253192 - Please provide hint "include header should be first include in implementation"
Please provide hint "include header should be first include in implementation"
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
8.0
All All
: P3 (vote)
: 8.1
Assigned To: Alexander Simon
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-25 18:04 UTC by Alexander Simon
Modified: 2015-07-10 01:17 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2015-06-25 18:04:04 UTC
It would be great if IDE shows hint with fix (and inspect) in case:
- let you have a header Class.h and implementation Class.cpp
- Class.cpp has a lot of include directive one of the them is '#include "Class.h"'
Show hint if the 
#include "Class.h"
directive is not first in the include directives list.
Fix should move it on top of #include list
Comment 1 Quality Engineering 2015-07-02 01:19:17 UTC
Integrated into 'main-silver', will be available in build *201507020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/00bf4bed4420
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #253192 Please provide hint "include header should be first include in implementation"
- add audit
Comment 2 Alexander Simon 2015-07-09 12:07:17 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/297c15f2b1bf
Comment 3 Quality Engineering 2015-07-10 01:17:30 UTC
Integrated into 'main-silver', will be available in build *201507100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/297c15f2b1bf
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #253192 Please provide hint "include header should be first include in implementation"
- add fix


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo